Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class ApplicationHandler

    java.lang.Object
      org.deegree.enterprise.control.ApplicationHandler

All Implemented Interfaces:
  EventListener, WebListener

Direct Known Subclasses:
  MapApplicationHandler

    public class ApplicationHandler

extends Object
implements WebListener

Handler for all web events.

Version:
  $Revision: 18195 $, $Date: 21.08.2008 19:19:59$
Author:
  Torsten Friebe, Andreas Poth, last edited by: $Author: mays$

Constructor Summary
`ApplicationHandler(String configFile)` Creates a new ApplicationHandler object.

Method Summary
`void` | `actionPerformed(FormEvent e)` Handles all web action events.
`protected void` | `delegateToHelper(String action, FormEvent e)`
`protected void` | `showVersion(javax.servlet.ServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationHandler

    public ApplicationHandler(String configFile)
                       throws Exception

  Creates a new ApplicationHandler object.

  Parameters:
    `configFile` -
  Throws:
    `Exception`

Method Detail

### actionPerformed

    public void actionPerformed(FormEvent e)

  Handles all web action events. Calls the specified listener using the mapping defined in control.xml file.

  Specified by:
    `actionPerformed` in interface `WebListener`
  Parameters:
    `e` - the action event generated out of the incoming http POST event.

### delegateToHelper

    protected void delegateToHelper(String action,
                                    FormEvent e)
                             throws Exception

  Parameters:
    `action` -
    `e` -
  Throws:
    `Exception`

### showVersion

    protected void showVersion(javax.servlet.ServletRequest request)

  Parameters:
    `request` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org